GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Data Structures | Public Member Functions
grpc::ServerBuilder Class Reference

`#include <server_builder.h>`

## Public Member Functions
| ServerBuilder ()
void | RegisterService (SynchronousService *service)
void | RegisterAsyncService (AsynchronousService *service)
void | RegisterAsyncGenericService (AsyncGenericService *service)
void | RegisterService (const grpc::string &host, SynchronousService *service)
void | RegisterAsyncService (const grpc::string &host, AsynchronousService *service)
void | SetMaxMessageSize (int max_message_size)
void | AddListeningPort (const grpc::string &addr, std::shared_ptr< ServerCredentials > creds, int *selected_port=nullptr)
void | SetThreadPool (ThreadPoolInterface *thread_pool)
std::unique_ptr < ServerCompletionQueue > | AddCompletionQueue ()
std::unique_ptr< Server > | BuildAndStart ()

## Constructor & Destructor Documentation

grpc::ServerBuilder::ServerBuilder | ( |  | ) |

## Member Function Documentation

std::unique_ptr<ServerCompletionQueue> grpc::ServerBuilder::AddCompletionQueue | ( |  | ) |

void grpc::ServerBuilder::AddListeningPort | ( | const grpc::string & | addr,
|  | std::shared_ptr< ServerCredentials > | creds,
|  | int * | selected_port = `nullptr`
| ) |  |

std::unique_ptr<Server> grpc::ServerBuilder::BuildAndStart | ( |  | ) |

void grpc::ServerBuilder::RegisterAsyncGenericService | ( | AsyncGenericService * | service | ) |

void grpc::ServerBuilder::RegisterAsyncService | ( | AsynchronousService * | service | ) |

void grpc::ServerBuilder::RegisterAsyncService | ( | const grpc::string & | host,
|  | AsynchronousService * | service
| ) |  |

void grpc::ServerBuilder::RegisterService | ( | SynchronousService * | service | ) |

void grpc::ServerBuilder::RegisterService | ( | const grpc::string & | host,
|  | SynchronousService * | service
| ) |  |

void grpc::ServerBuilder::SetMaxMessageSize | ( | int | max_message_size | ) |
| inline

void grpc::ServerBuilder::SetThreadPool | ( | ThreadPoolInterface * | thread_pool | ) |

The documentation for this class was generated from the following file:

- include/grpc++/server_builder.h